Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::SL3::ContextEstablishmentPolicy Class Reference

`#include <SL3_ContextEstablishmentPolicy.h>`

Inheritance diagram for TAO::SL3::ContextEstablishmentPolicy:

[legend]
Collaboration diagram for TAO::SL3::ContextEstablishmentPolicy:

[legend]
List of all members.

## Public Member Functions
| ContextEstablishmentPolicy (SecurityLevel3::CredsDirective creds_directive, const SecurityLevel3::OwnCredentialsList &creds_list, SecurityLevel3::FeatureDirective use_client_auth, SecurityLevel3::FeatureDirective use_target_auth, SecurityLevel3::FeatureDirective use_confidentiality, SecurityLevel3::FeatureDirective use_integrity)
| Constructor.
SecurityLevel3::ContextEstablishmentPolicy Methods
Methods required by the SecurityLevel3::ContextEstablishmentPolicy interface.
virtual SecurityLevel3::CredsDirective | creds_directive (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel3::OwnCredentialsList * | creds_list (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel3::FeatureDirective | use_client_auth (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel3::FeatureDirective | use_target_auth (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel3::FeatureDirective | use_confidentiality (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel3::FeatureDirective | use_integrity (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Protected Member Functions
| ~ContextEstablishmentPolicy (void)
| Destructor.
## Private Attributes
SecurityLevel3::CredsDirective | creds_directive_
SecurityLevel3::OwnCredentialsList | creds_list_
SecurityLevel3::FeatureDirective | use_client_auth_
SecurityLevel3::FeatureDirective | use_target_auth_
SecurityLevel3::FeatureDirective | use_confidentiality_
SecurityLevel3::FeatureDirective | use_integrity_

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::SL3::ContextEstablishmentPolicy::ContextEstablishmentPolicy | ( | SecurityLevel3::CredsDirective | creds_directive,
|  | const SecurityLevel3::OwnCredentialsList & | creds_list,
|  | SecurityLevel3::FeatureDirective | use_client_auth,
|  | SecurityLevel3::FeatureDirective | use_target_auth,
|  | SecurityLevel3::FeatureDirective | use_confidentiality,
|  | SecurityLevel3::FeatureDirective | use_integrity
| ) |

| Constructor.

TAO::SL3::ContextEstablishmentPolicy::~ContextEstablishmentPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO::SL3::ContextEstablishmentPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::CredsDirective TAO::SL3::ContextEstablishmentPolicy::creds_directive | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::OwnCredentialsList * TAO::SL3::ContextEstablishmentPolicy::creds_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::SL3::ContextEstablishmentPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO::SL3::ContextEstablishmentPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_client_auth | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_confidentiality | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_integrity | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_target_auth | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

SecurityLevel3::CredsDirective TAO::SL3::ContextEstablishmentPolicy::creds_directive_`[private]`

SecurityLevel3::OwnCredentialsList TAO::SL3::ContextEstablishmentPolicy::creds_list_`[private]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_client_auth_`[private]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_confidentiality_`[private]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_integrity_`[private]`

SecurityLevel3::FeatureDirective TAO::SL3::ContextEstablishmentPolicy::use_target_auth_`[private]`

The documentation for this class was generated from the following files:

- SL3_ContextEstablishmentPolicy.h
- SL3_ContextEstablishmentPolicy.cpp